/**
 * All MQL5 Account Info can be found on this static class
 *
 * @example
 * //Request the login id of account from MT5
 * console.log(AccountInfo.loginId())
 *
 */
export declare class AccountInfo {
    /**
     * In AccountInfo all request are same. So, a get() method
     * created for request data
     * @param event_name request AccountInfo using event_name
     */
    private static get;
    /**
     * Account number
     */
    static loginId(): Promise<any>;
    /**
     * Account trade mode
     */
    static tradeMode(): Promise<AccountTradeMode>;
    /**
     * Account leverage
     */
    static leverage(): Promise<any>;
    /**
     * Maximum allowed number of active pending orders
     */
    static maxOrdersLimit(): Promise<any>;
    /**
     * Mode for setting the minimal allowed margin
     */
    static stopoutMode(): Promise<AccountStopoutMode>;
    /**
     * Allowed trade for the current account
     */
    static isTradeAllowed(): Promise<any>;
    /**
     * Allowed trade for an Expert Advisor
     */
    static canExpertTrade(): Promise<any>;
    /**
     * Margin calculation mode
     */
    static marginMode(): Promise<AccountMarginMode>;
    /**
     * The number of decimal places in the account currency,
     * which are required for an accurate display of trading results
     */
    static currencyDigit(): Promise<any>;
    /**
     * Account balance in the deposit currency
     */
    static balance(): Promise<any>;
    /**
     * Account credit in the deposit currency
     */
    static credit(): Promise<any>;
    /**
     * Current profit of an account in the deposit currency
     */
    static profit(): Promise<any>;
    /**
     * Account equity in the deposit currency
     */
    static equity(): Promise<any>;
    /**
     * Account margin used in the deposit currency
     */
    static margin(): Promise<any>;
    /**
     * Free margin of an account in the deposit currency
     */
    static marginFree(): Promise<any>;
    /**
     * Account margin level in percents
     */
    static marginLevel(): Promise<any>;
    /**
     * Margin call level. Depending on the set ACCOUNT_MARGIN_SO_MODE is expressed in percents or in the deposit currency
     */
    static marginSoCall(): Promise<any>;
    /**
     * Margin stop out level. Depending on the set ACCOUNT_MARGIN_SO_MODE is expressed in percents or in the deposit currency
     */
    static marginSoSo(): Promise<any>;
    /**
     * Maintenance margin. The minimum equity reserved on an account to cover the minimum amount of all open positions
     */
    static marginMaintenance(): Promise<any>;
    /**
     * The current assets of an account
     */
    static assets(): Promise<any>;
    /**
     * The current liabilities on an account
     */
    static liabilities(): Promise<any>;
    /**
     * The current blocked commission amount on an account
     */
    static commisionBlocked(): Promise<any>;
    /**
     * Client name
     */
    static accountName(): Promise<any>;
    /**
     * Trade server name
     */
    static Server(): Promise<any>;
    /**
     * Account currency
     */
    static currency(): Promise<any>;
    /**
     * Name of a company that serves the account
     */
    static company(): Promise<any>;
}
export declare enum AccountTradeMode {
    DEMO = 0,
    REAL = 1,
    CONTEST = 2
}
export declare enum AccountStopoutMode {
    MONEY = 0,
    PERCENT = 1
}
export declare enum AccountMarginMode {
    RETAIL_NETTING = 0,
    RETAIL_HEDGING = 1,
    EXCHANGE = 2
}
