export default class SocketServer {
    private static instance;
    private pushAddress;
    private pullAddress;
    private subAddress;
    private pushSocket;
    private pullSocket;
    private subSocket;
    private connected;
    private msg;
    private timeout_ms;
    private event_callbacks;
    private constructor();
    static getInstance(protocol?: string, hostname?: string, push_port?: number, pull_port?: number, sub_port?: number, timeout_ms?: number): SocketServer;
    connect(): void;
    send(msg: string): void;
    subscribe(event_name: string): void;
    unsubscribe(event_name: string): void;
    onEvent(event_name: string, listener: (...args: any[]) => void): void;
    receive(): Promise<string>;
    isConnected(): boolean;
}
