export declare class SymbolInfo {
    /**
     *
     * @param event_name request for data to retrieve
     * @param symbol_name request particular symbol info
     */
    private static get;
    /**
     * List all symbols that available on your broker
     */
    static symbolList(): Promise<any>;
    /**
     * Number of deals in the current session
     * @param symbol_name Retrieve specific symbol information
     */
    static sessionDeals(symbol_name: string): Promise<any>;
    /**
     * Number of Buy orders at the moment
     * @param symbol_name Retrieve specific symbol information
     */
    static sessionBuyOrders(symbol_name: string): Promise<any>;
    /**
     * Number of Sell orders at the moment
     * @param symbol_name Retrieve specific symbol information
     */
    static sessionSellOrders(symbol_name: string): Promise<any>;
    /**
     * Volume of the last deal
     * @param symbol_name Retrieve specific symbol information
     */
    static volume(symbol_name: string): Promise<any>;
    /**
     * Maximal day volume
     * @param symbol_name Retrieve specific symbol information
     */
    static volumeHigh(symbol_name: string): Promise<any>;
    /**
     * Minimal day volume
     * @param symbol_name Retrieve specific symbol information
     */
    static volumeLow(symbol_name: string): Promise<any>;
    /**
     * Time of the last quote
     * @param symbol_name Retrieve specific symbol information
     */
    static time(symbol_name: string): Promise<any>;
    /**
     * Digits after a decimal point
     * @param symbol_name Retrieve specific symbol information
     */
    static digits(symbol_name: string): Promise<any>;
    /**
     * Indication of a floating spread
     * @param symbol_name Retrieve specific symbol information
     */
    static isSpreadFloat(symbol_name: string): Promise<any>;
    /**
     * Spread value in points
     * @param symbol_name Retrieve specific symbol information
     */
    static spread(symbol_name: string): Promise<any>;
    /**
     * Maximal number of requests shown in Depth of Market.
     *  For symbols that have no queue of requests, the value is equal to zero.
     * @param symbol_name Retrieve specific symbol information
     */
    static tickBookdepth(symbol_name: string): Promise<any>;
    /**
     * Order execution type
     * @param symbol_name Retrieve specific symbol information
     */
    static tradeMode(symbol_name: string): Promise<SymbolTradeMode>;
    /**
     * Minimal indention in points from the current close price to place Stop orders
     * @param symbol_name Retrieve specific symbol information
     */
    static stopsLevel(symbol_name: string): Promise<any>;
    /**
     * Distance to freeze trade operations in points
     * @param symbol_name Retrieve specific symbol information
     */
    static freezeLevel(symbol_name: string): Promise<any>;
    /**
     * Deal execution mode
     * @param symbol_name Retrieve specific symbol information
     */
    static tradeExecMode(symbol_name: string): Promise<SymbolTradeExecMode>;
    /**
     * Swap calculation model
     * @param symbol_name Retrieve specific symbol information
     */
    static swapMode(symbol_name: string): Promise<SymbolSwapMode>;
    /**
     * Ask - best buy offer
     * @param symbol_name Retrieve specific symbol information
     */
    static ask(symbol_name: string): Promise<any>;
    /**
     * Bid - best sell offer
     * @param symbol_name Retrieve specific symbol information
     */
    static bid(symbol_name: string): Promise<any>;
    /**
     * Symbol point value
     * @param symbol_name Retrieve specific symbol information
     */
    static point(symbol_name: string): Promise<any>;
    /**
     * Maximal volume for a deal
     * @param symbol_name Retrieve specific symbol information
     */
    static volumeMax(symbol_name: string): Promise<any>;
    /**
     * Minimal volume for a deal
     * @param symbol_name Retrieve specific symbol information
     */
    static volumeMin(symbol_name: string): Promise<any>;
    /**
     * Minimal volume change step for deal execution
     * @param symbol_name Retrieve specific symbol information
     */
    static volumeStep(symbol_name: string): Promise<any>;
    /**
     * Long swap value
     * @param symbol_name Retrieve specific symbol information
     */
    static swapLong(symbol_name: string): Promise<any>;
    /**
     * Short swap value
     * @param symbol_name Retrieve specific symbol information
     */
    static swapShort(symbol_name: string): Promise<any>;
    /**
     * Basic currency of a symbol
     * @param symbol_name Retrieve specific symbol information
     */
    static currencyBase(symbol_name: string): Promise<any>;
    /**
     * Profit currency
     * @param symbol_name Retrieve specific symbol information
     */
    static currencyQuote(symbol_name: string): Promise<any>;
    /**
     * Margin currency
     * @param symbol_name Retrieve specific symbol information
     */
    static currencyMargin(symbol_name: string): Promise<any>;
    /**
     * Feeder of the current quote
     * @param symbol_name Retrieve specific symbol information
     */
    static broker(symbol_name: string): Promise<any>;
    /**
     * Symbol description
     * @param symbol_name Retrieve specific symbol information
     */
    static description(symbol_name: string): Promise<any>;
}
export declare enum SymbolTradeMode {
    FULL = 0,
    LONG_ONLY = 1,
    SHORT_ONLY = 2,
    CLOSE_ONLY = 3,
    DISABLED = 4
}
export declare enum SymbolTradeExecMode {
    REQUEST = 0,
    INSTANT = 1,
    MARKET = 2,
    EXCHANGE = 3
}
export declare enum SymbolSwapMode {
    CURRENCY_DEPOSIT = 0,
    CURRENCY_MARGIN = 1,
    CURRENCY_SYMBOL = 2,
    INTEREST_CURRENT = 3,
    INTEREST_OPEN = 4,
    POINTS = 5,
    REOPEN_BID = 6,
    REOPEN_CURRENT = 7,
    DISABLED = 8
}
